Ship: Buenaventura (BNVTR)
Type: Multipurpose Interterrestrial
Make: SKY-WeI
Model: Spacebus Deluxe II
Credentials: IGSS-SRR297ar74.25
Dispatch: Intergalactic Space Station SIERRA
Location: Shaskall Nebula
